<gel:script xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/" xmlns:core="jelly:core"
  xmlns:email="jelly:org.apache.commons.jelly.tags.email.EmailTagLibrary" xmlns:file="jelly:com.niku.union.gel.FileTagLibrary"
  xmlns:gel="jelly:com.niku.union.gel.GELTagLibrary" xmlns:jemail="jelly:email" xmlns:soap="jelly:com.niku.union.gel.SOAPTagLibrary"
  xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:sql="jelly:sql" xmlns:util="jelly:util" xmlns:xog="http://www.niku.com/xog"
  xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <gel:log category="INFO" level="INFO">Declaring local variables</gel:log>
  <core:set value="imit_project_office@rta.nsw.gov.au" var="v_Email_From"/>
  <!--core:set value="" var="v_Email_To"/-->
  <core:set value="PDM1 and PDM2 Data Extract" var="v_Email_Subject"/>
  <core:set value="" var="v_attachment"/>
  <core:set value="false" var="errorFlag"/>
  <core:set
    value="projectid|projectname|projdescription|projectstatus|projecttype|directorate|branch|sponsor|projectmanager|priority|client_in_service_date|in_service_milestone|total_etc|labour_eac|non_labour_eac|total_eac|projnotes|wrif_no|release_name|branch_priority|assess_status|assessment_comments|pmo_comments|status_comment|labour_etc|non_labour_etc|labour_actuals|non_labour_actuals|ims_chargeable|send_cc|send_order|send_wbscode|rcv_cc|rcv_order|rcv_wbscode|business_pm|project_size|crd_required|quarterly_release|teams_impacted|finish_date|bu_branch|bu_section|bu_unit|res_section|res_unit" var="v_Heading"/>
  <!-- DEBUGGING 0=NONE, 2=System Logs only -->
  <!-- SETUP DATABASE CONNECTION -->
  <gel:setDataSource dbId="Niku"/>
  <gel:log category="SQL" level="INFO">Connecting to database</gel:log>
  <core:catch var="ex">
    <sql:query var="sqlResults">
            SELECT 1
            FROM DUAL
        </sql:query>
  </core:catch>
  <core:if test="${ex != null}">
    <core:set value="true" var="errorFlag"/>
    <gel:log category="SQL" level="ERROR">Test Data Source failed: ${ex}</gel:log>
  </core:if>
  <!-- ONLY PROCEED IF WE CAN CONNECT TO THE DB AND LOGIN TO XOG-->
  <core:if test="${errorFlag eq false}">
    <core:if test="${errorFlag eq false}">
      <core:catch var="ex">
        <sql:query var="sqlResults">
                    SELECT const_string
                    FROM odf_ca_ut_constants
                    WHERE code = 'FILE_DIR'
                </sql:query>
        <core:forEach items="${sqlResults.rows}" var="v_row">
          <core:set value="${v_row.const_string}" var="FILE_DIR"/>
        </core:forEach>
      </core:catch>
      <core:if test="${ex!=null}">
        <gel:log category="SQL" level="ERROR">Unable to retrieve file directory: ${ex}</gel:log>
        <core:set value="true" var="errorFlag"/>
      </core:if>
    </core:if>
    <core:if test="${errorFlag eq false}">
      <core:catch var="ex">
        <sql:query var="sqlResults">
                    SELECT ('Project Data Extract - ' || To_Char(SYSDATE,'YYYY-MM-DD') || '.csv') FILE_NAME
                    FROM dual
                </sql:query>
        <core:forEach items="${sqlResults.rows}" var="v_row">
          <core:set value="${v_row.FILE_NAME}" var="OUTPUT_FILENAME"/>
        </core:forEach>
      </core:catch>
      <core:if test="${ex!=null}">
        <gel:log category="SQL" level="ERROR">Unable to SET output filename: ${ex}</gel:log>
        <core:set value="true" var="errorFlag"/>
      </core:if>
    </core:if>
    <gel:log category="SQL" level="INFO">About TO RUN SQL Query AND populate file: ${FILE_DIR}/${OUTPUT_FILENAME} </gel:log>
    <core:if test="${errorFlag eq false}">
      <core:catch var="ex">
        <sql:query escapeText="false" var="sqlResults"><![CDATA[
SELECT
		Replace(Replace(REPLACE(Nvl(INV_INVESTMENTS.CODE,' '), ',', ' '), Chr(13),''),Chr(10),' ') PROJECT_ID,
		Replace(Replace(REPLACE(Nvl(INV_INVESTMENTS.NAME,' '), ',', ' '), Chr(13),''),Chr(10),' ') PROJECT_NAME,
		Replace(Replace(REPLACE(Nvl(INV_INVESTMENTS.DESCRIPTION,' '), ',', ' '), Chr(13),''),Chr(10),' ') PROJ_DESCRIPTION,
		Replace(Replace(REPLACE(Nvl(ODF_CA_PROJECT.BRANCH_PLAN,' '), ',', ' '), Chr(13),''),Chr(10),' ') BRANCH_PLAN,
		Replace(Replace(REPLACE(Nvl(PROJ_TYPE.NAME,' '), ',', ' '), Chr(13),''),Chr(10),' ') PROJECT_TYPE,
		Replace(Replace(REPLACE(REPLACE(Nvl(Upper(SubStr(ODF_CA_PROJECT.RMS_STRATEGIC_ALIGN,5)),' '), ',', ' '), Chr(13),''),Chr(10),' '), '_', ' ') STRATEGIC_ALIGNMENT,
		REPLACE(Nvl(Trim(To_Char(Nvl(INV_INVESTMENTS.PRIORITY,0),'999,999,999')),' '), ',', '') PRIORITY,
		Replace(Replace(REPLACE(Decode(INV_INVESTMENTS.IS_OPEN_FOR_TE, 0, 'No', 1, 'Yes'), ',', ' '), Chr(13),''),Chr(10),' ') OPEN_FOR_TIME_ENTRY,
		Replace(Replace(REPLACE(Nvl(PROJECT_PHASE.NAME,' '), ',', ' '), Chr(13),''),Chr(10),' ') PROJECT_PHASE,
		Replace(Replace(REPLACE(Nvl(GOVERNANCE_PHASE.NAME,' '), ',', ' '), Chr(13),''),Chr(10),' ') GOVERNANCE_PHASE,
		--Scope of Project
		Replace(Replace(REPLACE(Nvl(CLIENT_DIRECTORATE.LEVEL3_NAME,' '), ',', ' '), Chr(13),''),Chr(10),' ') CLIENT_DIVISION,
		Replace(Replace(REPLACE(Nvl(CLIENT_DIRECTORATE.LEVEL4_NAME,' '), ',', ' '), Chr(13),''),Chr(10),' ') CLIENT_BRANCH,
		Replace(Replace(REPLACE(Nvl(BU_RESPONSIBLE.LEVEL5_NAME,' '), ',', ' '), Chr(13),''),Chr(10),' ') BU_UNIT,
		Replace(Replace(REPLACE(Nvl(INV_PROJECTS.PRSPONSOREDBY,' '), ',', ' '), Chr(13),''),Chr(10),' ') SPONSOR,
		Replace(Replace(REPLACE(Nvl(SRM_Resources.FULL_NAME,' '), ',', ' '), Chr(13),''),Chr(10),'') PROJECT_MANAGER,
		Replace(Replace(REPLACE(Nvl(TO_CHAR(INV_INVESTMENTS.SCHEDULE_START,'DD/MM/YY'),' '), ',', ' '), Chr(13),''),Chr(10),' ') START_DATE,
		Replace(Replace(REPLACE(Nvl(TO_CHAR(INV_INVESTMENTS.SCHEDULE_FINISH,'DD/MM/YY'),' '), ',', ' '), Chr(13),''),Chr(10),' ') FINISH_DATE,
		Replace(Replace(REPLACE(Nvl(MTRACK.NAME,' '), ',', ' '), Chr(13),''),Chr(10),' ') NEXT_MAJOR_MILESTONE,	
		Replace(Replace(REPLACE(Nvl(MTRACK.FINISH,' '), ',', ' '), Chr(13),''),Chr(10),' ') NEXT_MAJOR_MILESTONE_DATE,
		Replace(Replace(REPLACE(Nvl(MTRACKGOV.TECHPEPFINISH,' '), ',', ' '), Chr(13),''),Chr(10),' ') TECHPEP_DATE,
        Replace(Replace(REPLACE(Nvl(MTRACKGOV.BRUFINISH,' '), ',', ' '), Chr(13),''),Chr(10),' ') BRU_DATE,
        Replace(Replace(REPLACE(Nvl(MTRACKGOV.TSCFINISH,' '), ',', ' '), Chr(13),''),Chr(10),' ') TSC_DATE,
        Replace(Replace(REPLACE(Nvl(MTRACKGOV.INSERVFINISH,' '), ',', ' '), Chr(13),''),Chr(10),' ') INSERVICE_DATE,
		REPLACE(Nvl(Trim(To_Char(Nvl(RESCAP_FY.TOTAL_COST,0),'999,999,999')),' '), ',', '') RESOURCE_CAPEX_FY,
		REPLACE(Nvl(Trim(To_Char(Nvl(RESOP_FY.TOTAL_COST,0),'999,999,999')),' '), ',', '') RESOURCE_OPEX_FY,
		REPLACE(Nvl(Trim(To_Char(Nvl(RESCAP_FY1.TOTAL_COST,0),'999,999,999')),' '), ',', '') RESOURCE_CAPEX_FY1,
		REPLACE(Nvl(Trim(To_Char(Nvl(RESOP_FY1.TOTAL_COST,0),'999,999,999')),' '), ',', '') RESOURCE_OPEX_FY1,
		REPLACE(Nvl(Trim(To_Char(Nvl(RESCAP_FY2.TOTAL_COST,0),'999,999,999')),' '), ',', '') RESOURCE_CAPEX_FY2,
		REPLACE(Nvl(Trim(To_Char(Nvl(RESOP_FY2.TOTAL_COST,0),'999,999,999')),' '), ',', '') RESOURCE_OPEX_FY2,
		REPLACE(Nvl(Trim(To_Char(Nvl(VENCAP_FY.TOTAL_COST,0),'999,999,999')),' '), ',', '') VENDOR_CAPEX_FY,
		REPLACE(Nvl(Trim(To_Char(Nvl(VENOP_FY.TOTAL_COST,0),'999,999,999')),' '), ',', '') VENDOR_OPEX_FY,
		REPLACE(Nvl(Trim(To_Char(Nvl(VENCAP_FY1.TOTAL_COST,0),'999,999,999')),' '), ',', '') VENDOR_CAPEX_FY1,
		REPLACE(Nvl(Trim(To_Char(Nvl(VENOP_FY1.TOTAL_COST,0),'999,999,999')),' '), ',', '') VENDOR_OPEX_FY1,
		REPLACE(Nvl(Trim(To_Char(Nvl(VENCAP_FY2.TOTAL_COST,0),'999,999,999')),' '), ',', '') VENDOR_CAPEX_FY2,
		REPLACE(Nvl(Trim(To_Char(Nvl(VENOP_FY2.TOTAL_COST,0),'999,999,999')),' '), ',', '') VENDOR_OPEX_FY2,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY.APPROVED_CAPEX,0),'999,999,999')),' '), ',', '') APPROVED_CAPEX_FY,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY.APPROVED_OPEX,0),'999,999,999')),' '), ',', '') APPROVED_OPEX_FY,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY1.APPROVED_CAPEX,0),'999,999,999')),' '), ',', '') APPROVED_CAPEX_FY1,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY1.APPROVED_OPEX,0),'999,999,999')),' '), ',', '') APPROVED_OPEX_FY1,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY2.APPROVED_CAPEX,0),'999,999,999')),' '), ',', '') APPROVED_CAPEX_FY2,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY2.APPROVED_OPEX,0),'999,999,999')),' '), ',', '') APPROVED_OPEX_FY2,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY.ESTIMATED_CAPEX,0),'999,999,999')),' '), ',', '') ESTIMATED_CAPEX_FY,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY.ESTIMATED_OPEX,0),'999,999,999')),' '), ',', '') ESTIMATED_OPEX_FY,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY1.ESTIMATED_CAPEX,0),'999,999,999')),' '), ',', '') ESTIMATED_CAPEX_FY1,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY1.ESTIMATED_OPEX,0),'999,999,999')),' '), ',', '') ESTIMATED_OPEX_FY1,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY2.ESTIMATED_CAPEX,0),'999,999,999')),' '), ',', '') ESTIMATED_CAPEX_FY2,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY2.ESTIMATED_OPEX,0),'999,999,999')),' '), ',', '') ESTIMATED_OPEX_FY2,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY.FUNDED_CAPEX,0),'999,999,999')),' '), ',', '') FUNDED_CAPEX_FY,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY.FUNDED_OPEX,0),'999,999,999')),' '), ',', '') FUNDED_OPEX_FY,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY1.FUNDED_CAPEX,0),'999,999,999')),' '), ',', '') FUNDED_CAPEX_FY1,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY1.FUNDED_OPEX,0),'999,999,999')),' '), ',', '') FUNDED_OPEX_FY1,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY2.FUNDED_CAPEX,0),'999,999,999')),' '), ',', '') FUNDED_CAPEX_FY2,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY2.FUNDED_OPEX,0),'999,999,999')),' '), ',', '') FUNDED_OPEX_FY2,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY.UNFUNDED_CAPEX,0),'999,999,999')),' '), ',', '') UNFUNDED_CAPEX_FY,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY.UNFUNDED_OPEX,0),'999,999,999')),' '), ',', '') UNFUNDED_OPEX_FY,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY1.UNFUNDED_CAPEX,0),'999,999,999')),' '), ',', '') UNFUNDED_CAPEX_FY1,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY1.UNFUNDED_OPEX,0),'999,999,999')),' '), ',', '') UNFUNDED_OPEX_FY1,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY2.UNFUNDED_CAPEX,0),'999,999,999')),' '), ',', '') UNFUNDED_CAPEX_FY2,
		REPLACE(Nvl(Trim(To_Char(Nvl(CAPOP_FY2.UNFUNDED_OPEX,0),'999,999,999')),' '), ',', '') UNFUNDED_OPEX_FY2,
		Nvl((Nvl(RESCAP_FY.TOTAL_COST,0) + Nvl(RESCAP_FY1.TOTAL_COST,0) + Nvl(RESCAP_FY2.TOTAL_COST,0)),0) TOTAL_RESOURCE_CAPEX,
		Nvl((Nvl(RESOP_FY.TOTAL_COST,0) + Nvl(RESOP_FY1.TOTAL_COST,0) + Nvl(RESOP_FY2.TOTAL_COST,0)),0) TOTAL_RESOURCE_OPEX,
		Nvl((Nvl(VENCAP_FY.TOTAL_COST,0) + Nvl(VENCAP_FY1.TOTAL_COST,0) + Nvl(VENCAP_FY2.TOTAL_COST,0)),0) TOTAL_VENDOR_CAPEX,
		Nvl((Nvl(VENOP_FY.TOTAL_COST,0) + Nvl(VENOP_FY1.TOTAL_COST,0) + Nvl(VENOP_FY2.TOTAL_COST,0)),0) TOTAL_VENDOR_OPEX,
		Nvl((Nvl(CAPOP_FY.APPROVED_CAPEX,0) + Nvl(CAPOP_FY1.APPROVED_CAPEX,0) + Nvl(CAPOP_FY2.APPROVED_CAPEX,0)),0) TOTAL_APPROVED_CAPEX,
		Nvl((Nvl(CAPOP_FY.APPROVED_OPEX,0) + Nvl(CAPOP_FY1.APPROVED_OPEX,0) + Nvl(CAPOP_FY2.APPROVED_OPEX,0)),0) TOTAL_APPROVED_OPEX,
		Nvl((Nvl(CAPOP_FY.ESTIMATED_CAPEX,0) + Nvl(CAPOP_FY1.ESTIMATED_CAPEX,0) + Nvl(CAPOP_FY2.ESTIMATED_CAPEX,0)),0) TOTAL_ESTIMATED_CAPEX,
		Nvl((Nvl(CAPOP_FY.ESTIMATED_OPEX,0) + Nvl(CAPOP_FY1.ESTIMATED_OPEX,0) + Nvl(CAPOP_FY2.ESTIMATED_OPEX,0)),0) TOTAL_ESTIMATED_OPEX,
		Nvl((Nvl(CAPOP_FY.FUNDED_CAPEX,0) + Nvl(CAPOP_FY1.FUNDED_CAPEX,0) + Nvl(CAPOP_FY2.FUNDED_CAPEX,0)),0) TOTAL_FUNDED_CAPEX,
		Nvl((Nvl(CAPOP_FY.FUNDED_OPEX,0) + Nvl(CAPOP_FY1.FUNDED_OPEX,0) + Nvl(CAPOP_FY2.FUNDED_OPEX,0)),0) TOTAL_FUNDED_OPEX,
		Nvl((Nvl(CAPOP_FY.UNFUNDED_CAPEX,0) + Nvl(CAPOP_FY1.UNFUNDED_CAPEX,0) + Nvl(CAPOP_FY2.UNFUNDED_CAPEX,0)),0) TOTAL_UNFUNDED_CAPEX,
		Nvl((Nvl(CAPOP_FY.UNFUNDED_OPEX,0) + Nvl(CAPOP_FY1.UNFUNDED_OPEX,0) + Nvl(CAPOP_FY2.UNFUNDED_OPEX,0)),0) TOTAL_UNFUNDED_OPEX,
		REPLACE(Nvl(Trim(To_Char(Nvl(FYActualsCost.FYACTLABOR,0),'999,999,999')),' '), ',', '') FY_LABOUR_ACTUALS,
		REPLACE(Nvl(Trim(To_Char(Nvl(ActualsCost.COSTACTLABOR,0),'999,999,999')),' '), ',', '') TOTAL_LABOUR_ACTUALS,
		REPLACE(Nvl(Trim(To_Char(Nvl(ETCCost.COSTETCLABOR,0),'999,999,999')),' '), ',', '') TOTAL_LABOUR_ETC,
		REPLACE(Nvl(Trim(To_Char(Nvl(A_COST.ACT_ACOST,0),'999,999,999')),' '), ',', '') TOTAL_NON_LABOUR_ACTUALS,
		REPLACE(Nvl(Trim(To_Char(Nvl(A_COST.ETC_ACOST,0),'999,999,999')),' '), ',', '') TOTAL_NON_LABOUR_ETC,
		REPLACE(Nvl(Trim(To_Char(Nvl(FYTotalBudget.tot_budget_cost,0),'999,999,999')),' '), ',', '') FY_APPROVED_BUDGET,
		REPLACE(Nvl(Trim(To_Char(Nvl(TotalApprovedBudget.TOTAL_APPROVED,0),'999,999,999')),' '), ',', '') TOTAL_APPROVED_BUDGET,
		REPLACE(Nvl(Trim(To_Char(Nvl( ( Nvl(A_COST.ACT_ACOST,0) + Nvl(A_COST.ETC_ACOST,0) + Nvl(ActualsCost.COSTACTLABOR,0) + Nvl(ETCCost.COSTETCLABOR,0) ),0), '999,999,999')),' '), ',', '') TOTAL_EAC,
		REPLACE(Nvl(Trim(To_Char(Nvl(TotalApprovedBudget.TOTAL_APPROVED,0) - Nvl(Nvl(ActualsCost.COSTACTLABOR,0) + Nvl(A_COST.ACT_ACOST,0),0), '999,999,999')),' '), ',', '') REMAINING_BUDGET,
		Replace(Replace(REPLACE(Nvl(To_Char(Substr(ODF_CA_PROJECT.PMO_MEMO,1,300)),' '), ',', ' '), Chr(13),''),Chr(10),' ') PMO_COMMENT,
		Replace(Replace(REPLACE(Nvl(To_Char(Substr(ODF_CA_PROJECT.PRJ_BENEFIT,1,300)),' '), ',', ' '), Chr(13),''),Chr(10),' ') BENEFIT_T5,
		REPLACE(Nvl(Trim(To_Char(Nvl(ODF_CA_PROJECT.PROJ_BENSCORE,0),'999,999,999')),' '), ',', '') BENEFIT_SCORE,
		REPLACE(Nvl(Trim(To_Char(Nvl(ODF_CA_PROJECT.PRJ_BENQUAD,0),'999,999,999')),' '), ',', '') BENEFIT_QUADRANT,
		--RISK OUTCOME
		Replace(Replace(REPLACE(Nvl(To_Char(Substr(ODF_CA_PROJECT.RISKS_NOPROCEED,1,300)),' '), ',', ' '), Chr(13),''),Chr(10),' ') RISK_NOT_PROCEED,

		Replace(Replace(Replace(Nvl((	SELECT LISTAGG("VALUE", ' and ') WITHIN GROUP (ORDER BY "VALUE")
										FROM ODF_MULTI_VALUED_LOOKUPS 
										WHERE ODF_MULTI_VALUED_LOOKUPS.PK_ID = INV_INVESTMENTS.ID AND ATTRIBUTE = 'funding_source'),' '), ',', ''), Chr(13),''),Chr(10),' ') FUNDING_SOURCE,
		  
		Replace(Replace(Replace(Nvl((	SELECT LISTAGG("VALUE", ' and ') WITHIN GROUP (ORDER BY "VALUE")
										FROM ODF_MULTI_VALUED_LOOKUPS 
										WHERE ODF_MULTI_VALUED_LOOKUPS.PK_ID = INV_INVESTMENTS.ID AND ATTRIBUTE = 'funding_source_prj'),(CASE
																																			WHEN PROJECT_PHASE.NAME NOT IN ('Concept', 'Evaluate', 'Ongoing') THEN 'NOT REQUIRED'
																																			ELSE ' '
																																		 END)), ',', ''), Chr(13),''),Chr(10),' ') FUNDING_SOURCE_FOR_PROJECT,
																																
		  
		REPLACE(Nvl(Trim(To_Char(Nvl(ODF_CA_PROJECT.REQ_FUNDING_AMT,0),'999,999,999')),' '), ',', '') REQUESTED_FUNDING,
		Replace(Replace(REPLACE(Nvl(ODF_CA_INV.NPI_RCV_WBSCODE,Nvl(ODF_CA_INV.NPI_RCV_ORDER,Nvl(ODF_CA_INV.NPI_RCV_CC,Nvl(ODF_CA_INV.NPI_RCV_REAL_ESTATE,' ')))), ',', ' '), Chr(13),''),Chr(10),' ') CHARGEBACK_CODE,
		Replace(Replace(REPLACE(Nvl(PROJECT_SIZE.NAME,' '), ',', ' '), Chr(13),''),Chr(10),' ') PROJECT_SIZE,                                       		 	   			 
		Replace(Replace(REPLACE(Nvl(TO_CHAR(RAGRPT.CREATED_DATE,'DD/MM/YY'),' '), ',', ' '), Chr(13),''),Chr(10),' ') RAGRPT_DATE,                                  			  		 	
		Replace(Replace(Replace(REPLACE(Nvl(RAGRPT.OVERALL_HEALTH_COMMENT,' '), ',', ' '), Chr(13),''),Chr(10),' '), '-', ' ') RAGRPT_OVERALL_COMMENT,        	 
		Replace(Replace(REPLACE(Nvl(RAGRPT.OVERALL_STATUS,' '), ',', ' '), Chr(13),''),Chr(10),' ') RAGRPT_OVERALL_STATUS,                 		      		 	 
		Replace(Replace(Replace(REPLACE(Nvl(RAGRPT.SCHEDULE_EXPLANATION,' '), ',', ' '), Chr(13),''),Chr(10),' '), '-', ' ') RAGRPT_SCHEDULE_COMMENT,              
		Replace(Replace(REPLACE(Nvl(RAGRPT.SCHEDULE_STATUS,' '), ',', ' '), Chr(13),''),Chr(10),' ') RAGRPT_SCHEDULE_STATUS,                			 			 
		Replace(Replace(Replace(REPLACE(Nvl(RAGRPT.SCOPE_EXPLANATION,' '), ',', ' '), Chr(13),''),Chr(10),' '), '-', ' ') RAGRPT_SCOPE_COMMENT,                	 
		Replace(Replace(REPLACE(Nvl(RAGRPT.SCOPE_STATUS,' '), ',', ' '), Chr(13),''),Chr(10),' ') RAGRPT_SCOPE_STATUS,                      			  		 	 
		Replace(Replace(Replace(REPLACE(Nvl(RAGRPT.COST_EXPLANATION,' '), ',', ' '), Chr(13),''),Chr(10),' '), '-', ' ') RAGRPT_COST_COMMENT,                  	 
		Replace(Replace(REPLACE(Nvl(RAGRPT.COST_STATUS,' '), ',', ' '), Chr(13),''),Chr(10),' ') RAGRPT_COST_STATUS,                        			  		 	 
		Replace(Replace(Replace(REPLACE(Nvl(RAGRPT.RESOURCE_EXPLANATION,' '), ',', ' '), Chr(13),''),Chr(10),' '), '-', ' ') RAGRPT_RESOURCE_COMMENT,        	 	 
		Replace(Replace(REPLACE(Nvl(RAGRPT.RESOURCE_STATUS,' '), ',', ' '), Chr(13),''),Chr(10),' ') RAGRPT_RESOURCE_STATUS,                			 		 	 
		Replace(Replace(Replace(REPLACE(Nvl(RAGRPT.KEY_ACCOMPLISHMENTS,' '), ',', ' '), Chr(13),''),Chr(10),' '), '-', ' ') RAGRPT_KEY_ACCOMPLISHMENTS,            
		Replace(Replace(Replace(REPLACE(Nvl(RAGRPT.UPCOMING_ACTIVITIES,' '), ',', ' '), Chr(13),''),Chr(10),' '), '-', ' ') RAGRPT_UPCOMING_ACTIVITIES             

FROM    INV_INVESTMENTS,
		ODF_CA_INV,
        ODF_CA_PROJECT,
        INV_PROJECTS,
        NBI_PROJECT_CURRENT_FACTS,
        CMN_LOOKUPS_V PROJECT_PHASE,
		CMN_LOOKUPS_V GOVERNANCE_PHASE,
        CMN_LOOKUPS_V PROJ_TYPE,
        CMN_LOOKUPS_V PROJECT_SIZE,
        NBI_DIM_OBS CLIENT_DIRECTORATE,
        NBI_DIM_OBS BU_RESPONSIBLE,
        SRM_RESOURCES,
        PRJ_OBS_ASSOCIATIONS,
        NBI_DIM_OBS RESOURCE_OBS,
		PAC_MNT_PROJECTS,
        ODF_CA_RTA_RELEASE,
        (
			SELECT
				INV_INVESTMENTS.ID PROJID,
				INV_INVESTMENTS.CODE PROJECT_ID,
				INV_INVESTMENTS.NAME PROJECT_NAME,
				Sum(PRASSIGNMENT.PRACTSUM) ACT_ACOST,
				Sum(PRASSIGNMENT.PRESTSUM) ETC_ACOST
			FROM
				PRASSIGNMENT
				INNER JOIN PRTASK ON PRTASK.PRID = PRASSIGNMENT.PRTASKID
				INNER JOIN SRM_RESOURCES ON SRM_RESOURCES.ID = PRASSIGNMENT.PRRESOURCEID
				INNER JOIN INV_INVESTMENTS ON INV_INVESTMENTS.ID = PRTASK.PRPROJECTID
			WHERE
				SRM_RESOURCES.UNIQUE_NAME = 'COST'
			--  AND   PRASSIGNMENT.PRFINISH Between (CASE WHEN To_Number(to_char(SYSDATE,'MM')) BETWEEN 0 and 6 THEN To_Date('01/07/'||to_char(To_Number(to_char(SYSDATE,'yyyy'))-1),'dd/mm/yyyy')
			--											  ELSE To_Date(('01/07/'||to_char(SYSDATE,'yyyy')),'dd/mm/yyyy')     v13.4 Financial Year separation code disabled to show lifetime ACOST/ETC/ACTUALS
			--											  END) AND To_Date(('31/12/2999'),'dd/mm/yyyy')
				AND   (PRASSIGNMENT.PRACTSUM != 0 OR PRASSIGNMENT.PRESTSUM !=0)
			GROUP BY  INV_INVESTMENTS.ID, INV_INVESTMENTS.CODE, INV_INVESTMENTS.NAME
		) A_COST,
                         
						 -- v13.2 Defect: Adding ETC costs from the timeslice MONTHLYRESOURCECURVE
		(
			SELECT
				  PROJECTS.ID ProjectId, Round(SUM(Nvl(ETC.SLICE,0)*BILL_RATE), 2) COSTETCLABOR
			FROM
				  PRJ_BLB_SLICES ETC,  PRJ_BLB_SLICEREQUESTS ETCREQUESTS, ODF_CA_PROJECT, INV_PROJECTS, PRASSIGNMENT ASSIGNMENTS,
				  PRTASK TASKS,  INV_INVESTMENTS PROJECTS, NBI_PROJ_RES_RATES_AND_COSTS, NBI_DIM_OBS BU_DIRECTORATE,
				  NBI_PROJECT_CURRENT_FACTS, SRM_RESOURCES srm1   --PRJ_BASELINE_DETAILS prjBas,
			WHERE
				  ETC.SLICE_REQUEST_ID = ETCREQUESTS.ID  AND PROJECTS.ID = ODF_CA_PROJECT.ID
				  AND PROJECTS.ID = INV_PROJECTS.PRID    AND PROJECTS.ID = NBI_PROJECT_CURRENT_FACTS.PROJECT_ID (+)
				  AND NBI_PROJECT_CURRENT_FACTS.OBS2_UNIT_ID = BU_DIRECTORATE.OBS_UNIT_ID(+)
				  AND BU_DIRECTORATE.LEVEL4_NAME = 'IMIT'
				  AND ETCREQUESTS.REQUEST_NAME = 'MONTHLYRESOURCEESTCURVE'
				  AND ASSIGNMENTS.PRID = ETC.PRJ_OBJECT_ID   AND TASKS.PRID = ASSIGNMENTS.PRTASKID
				  AND PROJECTS.IS_ACTIVE = 1 AND PROJECTS.ID = TASKS.PRPROJECTID AND INV_PROJECTS.IS_TEMPLATE = 0
				  AND PROJECTS.ID = NBI_PROJ_RES_RATES_AND_COSTS.PROJECT_ID
				  AND TASKS.PRID = NBI_PROJ_RES_RATES_AND_COSTS.TASK_ID
				  AND ASSIGNMENTS.PRRESOURCEID = NBI_PROJ_RES_RATES_AND_COSTS.RESOURCE_ID
				  AND SLICE_DATE BETWEEN NBI_PROJ_RES_RATES_AND_COSTS.FROM_DATE AND NBI_PROJ_RES_RATES_AND_COSTS.To_Date
				--AND   prjBas.OBJECT_TYPE(+) = 'PROJECT' AND   prjBas.OBJECT_ID(+) = PROJECTS.ID
				--AND   prjBas.IS_CURRENT(+) = 1  AND   Round(NVL(prjBas.COST_SUM (+),0)) >= 1
				  AND srm1.id = ASSIGNMENTS.PRRESOURCEID and srm1.UNIQUE_NAME not like '%COST'
			GROUP BY
				  PROJECTS.ID, PROJECTS.CODE, PROJECTS.NAME
		)ETCCost,

                      -- v13.2 Defect: Adding ACT costs from the WIP table
	    (
			SELECT  INV_INVESTMENTS.ID PROJECT_ID,
					REPLACE(Sum(PPA_WIP_VALUES.TOTALCOST), ' ', '') AS COSTACTLABOR

			FROM  	INV_INVESTMENTS
					LEFT OUTER JOIN PPA_WIP ON INV_INVESTMENTS.CODE = PPA_WIP.PROJECT_CODE
					LEFT OUTER JOIN PPA_WIP_VALUES ON PPA_WIP.TRANSNO = PPA_WIP_VALUES.TRANSNO

			WHERE 	PPA_WIP_VALUES.CURRENCY_TYPE = 'HOME'
					AND INV_INVESTMENTS.IS_ACTIVE = 1 	

			GROUP BY INV_INVESTMENTS.ID
		)ActualsCost,
		
					-- current FY actuals cost from WIP
		(
			SELECT  INV_INVESTMENTS.ID PROJECT_ID,
					REPLACE(Sum(PPA_WIP_VALUES.TOTALCOST), ' ', '') AS FYACTLABOR
        
			FROM    INV_INVESTMENTS
					LEFT OUTER JOIN PPA_WIP ON INV_INVESTMENTS.CODE = PPA_WIP.PROJECT_CODE 
					LEFT OUTER JOIN PPA_WIP_VALUES ON PPA_WIP.TRANSNO = PPA_WIP_VALUES.TRANSNO 

			WHERE PPA_WIP.TRANSDATE >= (CASE WHEN TO_NUMBER(TO_CHAR(SYSDATE, 'MM')) < 7 THEN '01/JUL' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))-1)
											 ELSE '01/JUL/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY')))
										END)
				  AND PPA_WIP.TRANSDATE <= (CASE WHEN TO_NUMBER(TO_CHAR(SYSDATE, 'MM')) < 7 THEN '30/JUN' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY')))
											ELSE '30/JUN/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))-1)
										   END)
				  AND PPA_WIP_VALUES.CURRENCY_TYPE = 'HOME'
				  AND INV_INVESTMENTS.IS_ACTIVE = 1 

			GROUP BY INV_INVESTMENTS.ID
		)FYActualsCost,

                      --v13.3 - Matthew - Adding in current FY total budget (or current plan of record budget) cost from FIN_PLANS
	    (
			SELECT
					inv.id, round(nvl((
										SELECT round(nvl(sum((oc.finish_date - oc.start_date) * oc.slice),0),0) as tot
									    FROM FIN_PLANS fp
										LEFT JOIN FIN_COST_PLAN_DETAILS fd ON fp.ID = fd.PLAN_ID 
										LEFT JOIN ODF_SSL_CST_DTL_COST oc ON fd.id = oc.prj_object_id
									    WHERE fp.object_id = inv.id AND fp.PLAN_TYPE_CODE = 'BUDGET' AND fp.IS_PLAN_OF_RECORD = 1),0),0)tot_budget_cost
			FROM
					INV_INVESTMENTS INV
					INNER JOIN ODF_CA_PROJECT PRJ ON INV.ID = PRJ.ID
					INNER JOIN INV_PROJECTS INVP ON INV.ID = INVP.PRID AND INVP.IS_TEMPLATE = 0
			WHERE 1=1
		)FYTotalBudget,
		
				-- total approved capex/opex budget from all Cost Plans with naming convention 'FY[yy]/[yy+1] Cost Plan'
				
		(
		
			SELECT  FIN.OBJECT_ID,
					SUM(ODF.APPFY_CAPEX + ODF.APPFY_OPEX) TOTAL_APPROVED
        
			FROM    ODF_CA_COSTPLAN ODF
					LEFT JOIN FIN_PLANS FIN ON ODF.ID = FIN.ID
					LEFT JOIN INV_INVESTMENTS ON FIN.OBJECT_ID = INV_INVESTMENTS.ID
					
			WHERE   FIN.NAME LIKE 'FY%/% Cost Plan'
					AND PLAN_TYPE_CODE = 'FORECAST'
					
			GROUP BY FIN.OBJECT_ID
		)TotalApprovedBudget,
	
    
                --v13.6 - Matthew - Adding in Status (RAG) Reports | Looks for the most recent report within the last month
    
		(

		  SELECT  CREATED_DATE, 
				  NAME, 
				  CODE, 
				  ID, 
				  OVERALL_HEALTH_COMMENT,
				  OVERALL_STATUS,
				  SCHEDULE_EXPLANATION,
				  SCHEDULE_STATUS,
				  SCOPE_EXPLANATION,
				  SCOPE_STATUS,
				  COST_EXPLANATION,
				  COST_STATUS,
				  RESOURCE_EXPLANATION,
				  RESOURCE_STATUS,
				  KEY_ACCOMPLISHMENTS,
				  UPCOMING_ACTIVITIES

		  FROM  
			   ( SELECT  PRJ.CODE, 
						 PRJ.ID, 
						 RAGRPT.CREATED_DATE, 
						 RAGRPT.NAME,
						 RAGRPT.COP_REPORT_UPDATE OVERALL_HEALTH_COMMENT,
						  (CASE
								WHEN RAGRPT.COP_SCHEDULE_STATUS + RAGRPT.COP_SCOPE_STATUS + RAGRPT.COP_COST_EFT_STATUS + RAGRPT.RMS_RESOURCE_STATUS BETWEEN 40 AND 50 THEN 'GREEN'
								WHEN RAGRPT.COP_SCHEDULE_STATUS + RAGRPT.COP_SCOPE_STATUS + RAGRPT.COP_COST_EFT_STATUS + RAGRPT.RMS_RESOURCE_STATUS BETWEEN 60 AND 80 THEN 'AMBER'
								WHEN RAGRPT.COP_SCHEDULE_STATUS + RAGRPT.COP_SCOPE_STATUS + RAGRPT.COP_COST_EFT_STATUS + RAGRPT.RMS_RESOURCE_STATUS BETWEEN 90 AND 200 THEN 'RED'
								ELSE ' '
						  END) OVERALL_STATUS,
						  RAGRPT.COP_SCHEDULE_EXP SCHEDULE_EXPLANATION,
						  (CASE 
								WHEN RAGRPT.COP_SCHEDULE_STATUS = 10 THEN 'GREEN'
								WHEN RAGRPT.COP_SCHEDULE_STATUS = 20 THEN 'AMBER'
								WHEN RAGRPT.COP_SCHEDULE_STATUS = 50 THEN 'RED'
								ELSE ' '
						  END) SCHEDULE_STATUS,
						  RAGRPT.COP_SCOPE_EXP SCOPE_EXPLANATION,
						  (CASE 
								WHEN RAGRPT.COP_SCOPE_STATUS = 10 THEN 'GREEN'
								WHEN RAGRPT.COP_SCOPE_STATUS = 20 THEN 'AMBER'
								WHEN RAGRPT.COP_SCOPE_STATUS = 50 THEN 'RED'
								ELSE ' '
						  END) SCOPE_STATUS,
						  RAGRPT.COP_EFFORT_EXP COST_EXPLANATION,
						  (CASE 
								WHEN RAGRPT.COP_COST_EFT_STATUS = 10 THEN 'GREEN'
								WHEN RAGRPT.COP_COST_EFT_STATUS = 20 THEN 'AMBER'
								WHEN RAGRPT.COP_COST_EFT_STATUS = 50 THEN 'RED'
								ELSE ' '
						  END) COST_STATUS,
						  RAGRPT.RMS_RESOURCE_EXP RESOURCE_EXPLANATION,
						  (CASE 
								WHEN RAGRPT.RMS_RESOURCE_STATUS = 10 THEN 'GREEN'
								WHEN RAGRPT.RMS_RESOURCE_STATUS = 20 THEN 'AMBER'
								WHEN RAGRPT.RMS_RESOURCE_STATUS = 50 THEN 'RED'
								ELSE ' '
						  END) RESOURCE_STATUS,
						  RAGRPT.COP_KEY_ACCOMPLISH KEY_ACCOMPLISHMENTS,
						  RAGRPT.COP_UPCOMING_ACT UPCOMING_ACTIVITIES,
						  Row_Number() OVER (PARTITION BY PRJ.CODE ORDER BY RAGRPT.CREATED_DATE DESC) AS seqnum
					
				  FROM ODF_CA_COP_PRJ_STATUSRPT RAGRPT, INV_INVESTMENTS PRJ 
				  WHERE PRJ.ID = RAGRPT.ODF_PARENT_ID (+)
						AND RAGRPT.CREATED_DATE BETWEEN Trunc(SYSDATE, 'DD') - 28 AND Trunc(SYSDATE, 'DD') + 1

				)

		  WHERE seqnum = 1
		
		)RAGRPT,
	
                -- Matthew - added in tracking against projects for milestones based on the next upcoming one (which should mean all prior milestones should be set to completed). Works - so if an incorrect milestone is being shown that means they need to set it to complete

		(
			SELECT 	NAME,
					FINISH,
					CODE
			FROM (
					SELECT 	NAME,
							FINISH,
							CODE,
							Row_Number() OVER (PARTITION BY CODE ORDER BY SORTER ASC) AS SEQNUM
					FROM(
							SELECT 	T.PRNAME NAME,
									To_Char(T.PRFINISH, 'DD/MM/YY') FINISH,
									INV_INVESTMENTS.CODE CODE,
									SORTER				
							FROM  	PRTASK T
									LEFT OUTER JOIN INV_INVESTMENTS ON T.PRPROJECTID = INV_INVESTMENTS.ID
									JOIN ( 
										SELECT 'Concept Tech PEP Meeting Date' AS MSTONE, 1 AS SORTER
										FROM DUAL
										UNION All
										SELECT 'Concept BRU Meeting Date' AS MSTONE, 2 as SORTER
										FROM DUAL
										UNION ALL
										SELECT 'End of Concept Phase' AS MSTONE, 3 as SORTER
										FROM DUAL
										UNION ALL
										SELECT 'Evaluate Tech PEP Meeting Date' AS MSTONE, 4 as SORTER
										FROM DUAL
										UNION ALL
										SELECT 'Evaluate BRU Meeting Date' AS MSTONE, 5 as SORTER
										FROM DUAL
										UNION ALL
										SELECT 'Evaluate TSC Meeting Date' AS MSTONE, 6 as SORTER
										FROM DUAL
										UNION ALL
										SELECT 'End of Evaluate Phase' AS MSTONE, 7 as SORTER
										FROM DUAL
										UNION ALL
										SELECT 'End of Analyse Phase' AS MSTONE, 8 as SORTER
										FROM DUAL
										UNION ALL
										SELECT 'End of Design Phase' AS MSTONE, 9 as SORTER
										FROM DUAL
										UNION ALL
										SELECT 'End of Build Phase' AS MSTONE, 10 as SORTER
										FROM DUAL
										UNION ALL
										SELECT 'End of Test Phase' AS MSTONE, 11 as SORTER
										FROM DUAL
										UNION ALL
										SELECT 'In Service' AS MSTONE, 12 as SORTER
										FROM DUAL
										UNION ALL
										SELECT 'End of Implement Phase' AS MSTONE, 13 as SORTER
										FROM DUAL
										UNION ALL
										SELECT 'End of Closure Phase' AS MSTONE, 14 as SORTER
										FROM DUAL
									  ) MSTONES on MSTONES.MSTONE = T.PRNAME
							WHERE PRSTATUS IN (0,1)
							ORDER BY MSTONES.SORTER
						)
				 )
			WHERE SEQNUM = 1
		) MTRACK,

               -- tracks other milestone dates
	    (
			SELECT  INV_INVESTMENTS.ID,
					TECHPEP.TECHPEPFINISH,
					BRU.BRUFINISH,
					TSC.TSCFINISH,
					INSERV.INSERVFINISH

			FROM    INV_INVESTMENTS
					LEFT JOIN ( 
								SELECT  PRTASK.PRPROJECTID,
										To_Char(PRTASK.PRFINISH, 'DD/MM/YY') TECHPEPFINISH
								FROM    PRTASK
										LEFT JOIN INV_INVESTMENTS ON INV_INVESTMENTS.ID = PRTASK.PRPROJECTID
										LEFT JOIN CMN_LOOKUPS_V STAGE ON STAGE.LOOKUP_CODE = INV_INVESTMENTS.STAGE_CODE AND STAGE.LOOKUP_TYPE = 'INV_STAGE_TYPE' AND STAGE.LANGUAGE_CODE = 'en' AND STAGE.PARENT_LOOKUP_CODE = 'rta'
								WHERE   PRTASK.PRNAME = (CASE WHEN STAGE.NAME = 'Concept' THEN 'Concept Tech PEP Meeting Date' WHEN STAGE.NAME = 'Evaluate' THEN 'Evaluate Tech PEP Meeting Date' ELSE '' END)
										AND PRTASK.PRISMILESTONE = 1
							  ) TECHPEP ON INV_INVESTMENTS.ID = TECHPEP.PRPROJECTID
					LEFT JOIN ( 
								SELECT  PRTASK.PRPROJECTID,
										To_Char(PRTASK.PRFINISH, 'DD/MM/YY') BRUFINISH
								FROM    PRTASK
										LEFT JOIN INV_INVESTMENTS ON INV_INVESTMENTS.ID = PRTASK.PRPROJECTID
										LEFT JOIN CMN_LOOKUPS_V STAGE ON STAGE.LOOKUP_CODE = INV_INVESTMENTS.STAGE_CODE AND STAGE.LOOKUP_TYPE = 'INV_STAGE_TYPE' AND STAGE.LANGUAGE_CODE = 'en' AND STAGE.PARENT_LOOKUP_CODE = 'rta'
								WHERE   PRTASK.PRNAME = (CASE WHEN STAGE.NAME = 'Concept' THEN 'Concept BRU Meeting Date' WHEN STAGE.NAME = 'Evaluate' THEN 'Evaluate BRU Meeting Date' ELSE '' END)
										AND PRTASK.PRISMILESTONE = 1
							  ) BRU ON INV_INVESTMENTS.ID = BRU.PRPROJECTID
					LEFT JOIN ( 
								SELECT  PRTASK.PRPROJECTID,
										To_Char(PRTASK.PRFINISH, 'DD/MM/YY') TSCFINISH
								FROM    PRTASK
										LEFT JOIN INV_INVESTMENTS ON INV_INVESTMENTS.ID = PRTASK.PRPROJECTID
										LEFT JOIN CMN_LOOKUPS_V STAGE ON STAGE.LOOKUP_CODE = INV_INVESTMENTS.STAGE_CODE AND STAGE.LOOKUP_TYPE = 'INV_STAGE_TYPE' AND STAGE.LANGUAGE_CODE = 'en' AND STAGE.PARENT_LOOKUP_CODE = 'rta'
								WHERE   PRTASK.PRNAME = (CASE WHEN STAGE.NAME = 'Evaluate' THEN 'Evaluate TSC Meeting Date' ELSE '' END)
										AND PRTASK.PRISMILESTONE = 1
							  ) TSC ON INV_INVESTMENTS.ID = TSC.PRPROJECTID
					LEFT JOIN ( 
								SELECT  PRTASK.PRPROJECTID,
										To_Char(PRTASK.PRFINISH, 'DD/MM/YY') INSERVFINISH
								FROM    PRTASK
										LEFT JOIN INV_INVESTMENTS ON INV_INVESTMENTS.ID = PRTASK.PRPROJECTID
										LEFT JOIN CMN_LOOKUPS_V STAGE ON STAGE.LOOKUP_CODE = INV_INVESTMENTS.STAGE_CODE AND STAGE.LOOKUP_TYPE = 'INV_STAGE_TYPE' AND STAGE.LANGUAGE_CODE = 'en' AND STAGE.PARENT_LOOKUP_CODE = 'rta'
								WHERE   PRTASK.PRNAME = (CASE WHEN STAGE.NAME IN ('Analyse','Design','Build','Test','Implement', 'Minor Work', 'Planning', 'On Hold', 'Closure', 'Completed') THEN 'In Service' ELSE '' END)
										AND PRTASK.PRISMILESTONE = 1
							  ) INSERV ON INV_INVESTMENTS.ID = INSERV.PRPROJECTID

		) MTRACKGOV,
	
			-- Matthew - for new daily extract, adding in 3 subqueries to pull data from current FY, next FY, next FY +1 to get new CAPEX/OPEX values. totals can be done in the SELECT
			
		(
			SELECT  FIN.OBJECT_ID,
					ODF.APPFY_CAPEX APPROVED_CAPEX,
					ODF.APPFY_OPEX APPROVED_OPEX,
					ODF.ESTFY_CAPEX ESTIMATED_CAPEX,
					ODF.ESTFY_OPEX ESTIMATED_OPEX,
					ODF.FUNDFY_CAPEX FUNDED_CAPEX,
					ODF.FUNDFY_OPEX FUNDED_OPEX,
					(ODF.APPFY_CAPEX - ODF.FUNDFY_CAPEX) UNFUNDED_CAPEX,
					(ODF.APPFY_OPEX - ODF.FUNDFY_OPEX) UNFUNDED_OPEX
					
			FROM    ODF_CA_COSTPLAN ODF
					LEFT JOIN FIN_PLANS FIN ON ODF.ID = FIN.ID
					LEFT JOIN INV_INVESTMENTS ON FIN.OBJECT_ID = INV_INVESTMENTS.ID
					
			WHERE   FIN.NAME LIKE (CASE WHEN TO_NUMBER(TO_CHAR(SYSDATE, 'MM')) < 7 THEN '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))-1) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))) || '%'
									  ELSE '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+1) || '%'
								END) 
					AND PLAN_TYPE_CODE = 'FORECAST'
        ) CAPOP_FY,
		
		(
			SELECT  FIN.OBJECT_ID,
					ODF.APPFY_CAPEX APPROVED_CAPEX,
					ODF.APPFY_OPEX APPROVED_OPEX,
					ODF.ESTFY_CAPEX ESTIMATED_CAPEX,
					ODF.ESTFY_OPEX ESTIMATED_OPEX,
					ODF.FUNDFY_CAPEX FUNDED_CAPEX,
					ODF.FUNDFY_OPEX FUNDED_OPEX,
					(ODF.APPFY_CAPEX - ODF.FUNDFY_CAPEX) UNFUNDED_CAPEX,
					(ODF.APPFY_OPEX - ODF.FUNDFY_OPEX) UNFUNDED_OPEX
					
			FROM    ODF_CA_COSTPLAN ODF
					LEFT JOIN FIN_PLANS FIN ON ODF.ID = FIN.ID
					LEFT JOIN INV_INVESTMENTS ON FIN.OBJECT_ID = INV_INVESTMENTS.ID
					
			WHERE   FIN.NAME LIKE (CASE WHEN TO_NUMBER(TO_CHAR(SYSDATE, 'MM')) < 7 THEN '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+1) || '%'
									  ELSE '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+1) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+2) || '%'
								END) 
					AND PLAN_TYPE_CODE = 'FORECAST'
        ) CAPOP_FY1,
		
		(
			SELECT  FIN.OBJECT_ID,
					ODF.APPFY_CAPEX APPROVED_CAPEX,
					ODF.APPFY_OPEX APPROVED_OPEX,
					ODF.ESTFY_CAPEX ESTIMATED_CAPEX,
					ODF.ESTFY_OPEX ESTIMATED_OPEX,
					ODF.FUNDFY_CAPEX FUNDED_CAPEX,
					ODF.FUNDFY_OPEX FUNDED_OPEX,
					(ODF.APPFY_CAPEX - ODF.FUNDFY_CAPEX) UNFUNDED_CAPEX,
					(ODF.APPFY_OPEX - ODF.FUNDFY_OPEX) UNFUNDED_OPEX
					
			FROM    ODF_CA_COSTPLAN ODF
					LEFT JOIN FIN_PLANS FIN ON ODF.ID = FIN.ID
					LEFT JOIN INV_INVESTMENTS ON FIN.OBJECT_ID = INV_INVESTMENTS.ID					
					
			WHERE   FIN.NAME LIKE (CASE WHEN TO_NUMBER(TO_CHAR(SYSDATE, 'MM')) < 7 THEN '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+1) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+2) || '%'
									  ELSE '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+2) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+3) || '%'
								END) 
					AND PLAN_TYPE_CODE = 'FORECAST'
        ) CAPOP_FY2,
		
			-- Matthew - each subquery below specifies a Transaction/Cost type from the Cost Plans (i.e. VENDOR/Capex, VENDOR/Opex, Vendor/Capex, Vendor/Opex) for each of the Financial Years needed (current, +1, +2)
			
		(
		  SELECT  INV_INVESTMENTS.ID PROJECT_ID,
				  FIN_COST_PLAN_DETAILS.TOTAL_COST
		  FROM    FIN_COST_PLAN_DETAILS
				  LEFT JOIN FIN_PLANS ON FIN_PLANS.ID = FIN_COST_PLAN_DETAILS.PLAN_ID
				  LEFT JOIN INV_INVESTMENTS ON INV_INVESTMENTS.ID = FIN_PLANS.OBJECT_ID    
		  WHERE   FIN_PLANS.NAME LIKE (CASE WHEN TO_NUMBER(TO_CHAR(SYSDATE, 'MM')) < 7 THEN '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))-1) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))) || '%'
									  ELSE '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+1) || '%'
									  END)
				  AND COST_TYPE_ID = 5008459 AND TRANSACTION_CLASS_ID = 5000000 AND PLAN_TYPE_CODE = 'FORECAST'
		) RESCAP_FY,
		(  
		  SELECT  INV_INVESTMENTS.ID PROJECT_ID,
				  FIN_COST_PLAN_DETAILS.TOTAL_COST
		  FROM    FIN_COST_PLAN_DETAILS
				  LEFT JOIN FIN_PLANS ON FIN_PLANS.ID = FIN_COST_PLAN_DETAILS.PLAN_ID
				  LEFT JOIN INV_INVESTMENTS ON INV_INVESTMENTS.ID = FIN_PLANS.OBJECT_ID    
		  WHERE   FIN_PLANS.NAME LIKE (CASE WHEN TO_NUMBER(TO_CHAR(SYSDATE, 'MM')) < 7 THEN '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))-1) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))) || '%'
									  ELSE '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+1) || '%'
									  END)
				  AND COST_TYPE_ID = 5008459 AND TRANSACTION_CLASS_ID = 5000001 AND PLAN_TYPE_CODE = 'FORECAST'
		) VENCAP_FY,
		(
		  SELECT  INV_INVESTMENTS.ID PROJECT_ID,
				  FIN_COST_PLAN_DETAILS.TOTAL_COST
		  FROM    FIN_COST_PLAN_DETAILS
				  LEFT JOIN FIN_PLANS ON FIN_PLANS.ID = FIN_COST_PLAN_DETAILS.PLAN_ID
				  LEFT JOIN INV_INVESTMENTS ON INV_INVESTMENTS.ID = FIN_PLANS.OBJECT_ID    
		  WHERE   FIN_PLANS.NAME LIKE (CASE WHEN TO_NUMBER(TO_CHAR(SYSDATE, 'MM')) < 7 THEN '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))-1) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))) || '%'
									  ELSE '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+1) || '%'
									  END)
				  AND COST_TYPE_ID = 5008460 AND TRANSACTION_CLASS_ID = 5000000 AND PLAN_TYPE_CODE = 'FORECAST'
		) RESOP_FY,
		(
		  SELECT  INV_INVESTMENTS.ID PROJECT_ID,
				  FIN_COST_PLAN_DETAILS.TOTAL_COST
		  FROM    FIN_COST_PLAN_DETAILS
				  LEFT JOIN FIN_PLANS ON FIN_PLANS.ID = FIN_COST_PLAN_DETAILS.PLAN_ID
				  LEFT JOIN INV_INVESTMENTS ON INV_INVESTMENTS.ID = FIN_PLANS.OBJECT_ID    
		  WHERE   FIN_PLANS.NAME LIKE (CASE WHEN TO_NUMBER(TO_CHAR(SYSDATE, 'MM')) < 7 THEN '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))-1) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))) || '%'
									  ELSE '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+1) || '%'
									  END)
				  AND COST_TYPE_ID = 5008460 AND TRANSACTION_CLASS_ID = 5000001 AND PLAN_TYPE_CODE = 'FORECAST'
		) VENOP_FY,
		(
		  SELECT  INV_INVESTMENTS.ID PROJECT_ID,
				  FIN_COST_PLAN_DETAILS.TOTAL_COST
		  FROM    FIN_COST_PLAN_DETAILS
				  LEFT JOIN FIN_PLANS ON FIN_PLANS.ID = FIN_COST_PLAN_DETAILS.PLAN_ID
				  LEFT JOIN INV_INVESTMENTS ON INV_INVESTMENTS.ID = FIN_PLANS.OBJECT_ID    
		  WHERE   FIN_PLANS.NAME LIKE (CASE WHEN TO_NUMBER(TO_CHAR(SYSDATE, 'MM')) < 7 THEN '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+1) || '%'
									  ELSE '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+1) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+2) || '%'
									  END) 
				  AND COST_TYPE_ID = 5008459 AND TRANSACTION_CLASS_ID = 5000000 AND PLAN_TYPE_CODE = 'FORECAST'
		) RESCAP_FY1,
		(  
		  SELECT  INV_INVESTMENTS.ID PROJECT_ID,
				  FIN_COST_PLAN_DETAILS.TOTAL_COST
		  FROM    FIN_COST_PLAN_DETAILS
				  LEFT JOIN FIN_PLANS ON FIN_PLANS.ID = FIN_COST_PLAN_DETAILS.PLAN_ID
				  LEFT JOIN INV_INVESTMENTS ON INV_INVESTMENTS.ID = FIN_PLANS.OBJECT_ID    
		  WHERE   FIN_PLANS.NAME LIKE (CASE WHEN TO_NUMBER(TO_CHAR(SYSDATE, 'MM')) < 7 THEN '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+1) || '%'
									  ELSE '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+1) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+2) || '%'
									  END) 
				  AND COST_TYPE_ID = 5008459 AND TRANSACTION_CLASS_ID = 5000001 AND PLAN_TYPE_CODE = 'FORECAST'
		) VENCAP_FY1,
		(
		  SELECT  INV_INVESTMENTS.ID PROJECT_ID,
				  FIN_COST_PLAN_DETAILS.TOTAL_COST
		  FROM    FIN_COST_PLAN_DETAILS
				  LEFT JOIN FIN_PLANS ON FIN_PLANS.ID = FIN_COST_PLAN_DETAILS.PLAN_ID
				  LEFT JOIN INV_INVESTMENTS ON INV_INVESTMENTS.ID = FIN_PLANS.OBJECT_ID    
		  WHERE   FIN_PLANS.NAME LIKE (CASE WHEN TO_NUMBER(TO_CHAR(SYSDATE, 'MM')) < 7 THEN '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+1) || '%'
									  ELSE '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+1) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+2) || '%'
									  END) 
				  AND COST_TYPE_ID = 5008460 AND TRANSACTION_CLASS_ID = 5000000 AND PLAN_TYPE_CODE = 'FORECAST'
		) RESOP_FY1,
		(
		  SELECT  INV_INVESTMENTS.ID PROJECT_ID,
				  FIN_COST_PLAN_DETAILS.TOTAL_COST
		  FROM    FIN_COST_PLAN_DETAILS
				  LEFT JOIN FIN_PLANS ON FIN_PLANS.ID = FIN_COST_PLAN_DETAILS.PLAN_ID
				  LEFT JOIN INV_INVESTMENTS ON INV_INVESTMENTS.ID = FIN_PLANS.OBJECT_ID    
		  WHERE   FIN_PLANS.NAME LIKE (CASE WHEN TO_NUMBER(TO_CHAR(SYSDATE, 'MM')) < 7 THEN '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+1) || '%'
									  ELSE '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+1) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+2) || '%'
									  END) 
				  AND COST_TYPE_ID = 5008460 AND TRANSACTION_CLASS_ID = 5000001 AND PLAN_TYPE_CODE = 'FORECAST'
		) VENOP_FY1,
		(
		  SELECT  INV_INVESTMENTS.ID PROJECT_ID,
				  FIN_COST_PLAN_DETAILS.TOTAL_COST
		  FROM    FIN_COST_PLAN_DETAILS
				  LEFT JOIN FIN_PLANS ON FIN_PLANS.ID = FIN_COST_PLAN_DETAILS.PLAN_ID
				  LEFT JOIN INV_INVESTMENTS ON INV_INVESTMENTS.ID = FIN_PLANS.OBJECT_ID    
		  WHERE   FIN_PLANS.NAME LIKE (CASE WHEN TO_NUMBER(TO_CHAR(SYSDATE, 'MM')) < 7 THEN '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+1) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+2) || '%'
									  ELSE '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+2) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+3) || '%'
									  END) 
				  AND COST_TYPE_ID = 5008459 AND TRANSACTION_CLASS_ID = 5000000 AND PLAN_TYPE_CODE = 'FORECAST'
		) RESCAP_FY2,
		(  
		  SELECT  INV_INVESTMENTS.ID PROJECT_ID,
				  FIN_COST_PLAN_DETAILS.TOTAL_COST
		  FROM    FIN_COST_PLAN_DETAILS
				  LEFT JOIN FIN_PLANS ON FIN_PLANS.ID = FIN_COST_PLAN_DETAILS.PLAN_ID
				  LEFT JOIN INV_INVESTMENTS ON INV_INVESTMENTS.ID = FIN_PLANS.OBJECT_ID    
		  WHERE   FIN_PLANS.NAME LIKE (CASE WHEN TO_NUMBER(TO_CHAR(SYSDATE, 'MM')) < 7 THEN '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+1) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+2) || '%'
									  ELSE '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+2) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+3) || '%'
									  END)
				  AND COST_TYPE_ID = 5008459 AND TRANSACTION_CLASS_ID = 5000001 AND PLAN_TYPE_CODE = 'FORECAST'
		) VENCAP_FY2,
		(
		  SELECT  INV_INVESTMENTS.ID PROJECT_ID,
				  FIN_COST_PLAN_DETAILS.TOTAL_COST
		  FROM    FIN_COST_PLAN_DETAILS
				  LEFT JOIN FIN_PLANS ON FIN_PLANS.ID = FIN_COST_PLAN_DETAILS.PLAN_ID
				  LEFT JOIN INV_INVESTMENTS ON INV_INVESTMENTS.ID = FIN_PLANS.OBJECT_ID    
		  WHERE   FIN_PLANS.NAME LIKE (CASE WHEN TO_NUMBER(TO_CHAR(SYSDATE, 'MM')) < 7 THEN '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+1) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+2) || '%'
									  ELSE '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+2) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+3) || '%'
									  END)
				  AND COST_TYPE_ID = 5008460 AND TRANSACTION_CLASS_ID = 5000000 AND PLAN_TYPE_CODE = 'FORECAST'
		) RESOP_FY2,
		(
		  SELECT  INV_INVESTMENTS.ID PROJECT_ID,
				  FIN_COST_PLAN_DETAILS.TOTAL_COST
		  FROM    FIN_COST_PLAN_DETAILS
				  LEFT JOIN FIN_PLANS ON FIN_PLANS.ID = FIN_COST_PLAN_DETAILS.PLAN_ID
				  LEFT JOIN INV_INVESTMENTS ON INV_INVESTMENTS.ID = FIN_PLANS.OBJECT_ID    
		  WHERE   FIN_PLANS.NAME LIKE (CASE WHEN TO_NUMBER(TO_CHAR(SYSDATE, 'MM')) < 7 THEN '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+1) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+2) || '%'
									  ELSE '%' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+2) || '/' || TO_CHAR(TO_NUMBER(TO_CHAR(SYSDATE,'YY'))+3) || '%'
									  END)
				  AND COST_TYPE_ID = 5008460 AND TRANSACTION_CLASS_ID = 5000001 AND PLAN_TYPE_CODE = 'FORECAST'
		) VENOP_FY2
                    

	
WHERE   INV_INVESTMENTS.ID = ODF_CA_PROJECT.ID
		AND ETCCost.projectid (+)= INV_INVESTMENTS.ID
		AND PAC_MNT_PROJECTS.ID = INV_INVESTMENTS.ID (+)
		AND ActualsCost.project_id (+)= INV_INVESTMENTS.ID
		AND FYActualsCost.PROJECT_ID (+)= INV_INVESTMENTS.ID
		AND FYTotalBudget.id (+) = INV_INVESTMENTS.ID
		AND TotalApprovedBudget.OBJECT_ID (+) = INV_INVESTMENTS.ID
		AND CAPOP_FY.OBJECT_ID (+) = INV_INVESTMENTS.ID
		AND CAPOP_FY1.OBJECT_ID (+) = INV_INVESTMENTS.ID
		AND CAPOP_FY2.OBJECT_ID (+) = INV_INVESTMENTS.ID
		AND RESCAP_FY.PROJECT_ID (+) = INV_INVESTMENTS.ID
		AND VENCAP_FY.PROJECT_ID (+) = INV_INVESTMENTS.ID
		AND RESOP_FY.PROJECT_ID (+) = INV_INVESTMENTS.ID
		AND VENOP_FY.PROJECT_ID (+) = INV_INVESTMENTS.ID
		AND RESCAP_FY1.PROJECT_ID (+) = INV_INVESTMENTS.ID
		AND VENCAP_FY1.PROJECT_ID (+) = INV_INVESTMENTS.ID
		AND RESOP_FY1.PROJECT_ID (+) = INV_INVESTMENTS.ID
		AND VENOP_FY1.PROJECT_ID (+) = INV_INVESTMENTS.ID
		AND RESCAP_FY2.PROJECT_ID (+) = INV_INVESTMENTS.ID
		AND VENCAP_FY2.PROJECT_ID (+) = INV_INVESTMENTS.ID
		AND RESOP_FY2.PROJECT_ID (+) = INV_INVESTMENTS.ID
		AND VENOP_FY2.PROJECT_ID (+) = INV_INVESTMENTS.ID
		AND RAGRPT.ID (+) = INV_INVESTMENTS.ID
		AND MTRACK.CODE (+) = INV_INVESTMENTS.CODE
        AND MTRACKGOV.ID (+) = INV_INVESTMENTS.ID
		AND INV_INVESTMENTS.ID = ODF_CA_INV.ID
		AND INV_INVESTMENTS.ID = INV_PROJECTS.PRID (+)
		AND ODF_CA_PROJECT.RELEASE = ODF_CA_RTA_RELEASE.ID (+)
		AND INV_INVESTMENTS.ID = A_COST.PROJID (+)
		AND INV_INVESTMENTS.ID = NBI_PROJECT_CURRENT_FACTS.PROJECT_ID (+)
		AND INV_INVESTMENTS.IS_ACTIVE = 1 AND INV_PROJECTS.IS_TEMPLATE != 1
		AND INV_INVESTMENTS.STAGE_CODE = PROJECT_PHASE.LOOKUP_CODE       (+)
		AND PROJECT_PHASE.LOOKUP_TYPE (+) = 'INV_STAGE_TYPE'
		AND PROJECT_PHASE.LANGUAGE_CODE (+) = 'en'
		AND PROJECT_PHASE.PARENT_LOOKUP_CODE (+) = 'rta'
		AND PROJECT_PHASE.NAME NOT IN ('Planning')
		AND GOVERNANCE_PHASE.LOOKUP_CODE (+) = ODF_CA_PROJECT.GOVERNANCE_PHASE
		AND GOVERNANCE_PHASE.LANGUAGE_CODE (+) = 'en'
		AND GOVERNANCE_PHASE.LOOKUP_TYPE (+) = 'RMS_PEFM_PHASE'
		AND PROJ_TYPE.ID (+) = ODF_CA_PROJECT.PROJECT_TYPE
		AND PROJ_TYPE.LANGUAGE_CODE = 'en'
		AND PROJ_TYPE.LOOKUP_TYPE = 'RTA_PROJECT_TYPE'
		AND PROJ_TYPE.LOOKUP_CODE NOT IN ('Planning')
		AND IS_PROGRAM != 1
		AND NBI_PROJECT_CURRENT_FACTS.OBS1_UNIT_ID = CLIENT_DIRECTORATE.OBS_UNIT_ID(+)
		AND ODF_CA_PROJECT.PROJECT_SIZE = PROJECT_SIZE.LOOKUP_CODE (+)
		AND PROJECT_SIZE.LOOKUP_TYPE (+) = 'RTA_PROJECT_SIZE'
		AND PROJECT_SIZE.LANGUAGE_CODE (+) = 'en'
		AND NBI_PROJECT_CURRENT_FACTS.OBS2_UNIT_ID = BU_RESPONSIBLE.OBS_UNIT_ID(+)
		AND SRM_Resources.User_ID = INV_INVESTMENTS.MANAGER_ID
		AND SRM_Resources.ID = PRJ_OBS_ASSOCIATIONS.RECORD_ID (+)
		AND PRJ_OBS_ASSOCIATIONS.TABLE_NAME (+) = 'SRM_RESOURCES'
		AND PRJ_OBS_ASSOCIATIONS.UNIT_ID = RESOURCE_OBS.OBS_UNIT_ID (+)
		AND RESOURCE_OBS.OBS_TYPE_ID = 5000001		
		AND BU_RESPONSIBLE.LEVEL5_NAME LIKE 'PDM%'                    
		
ORDER BY Replace(Replace(REPLACE(Nvl(INV_INVESTMENTS.CODE,' '), ',', ' '), Chr(13),''),Chr(10),' ')


         ]]></sql:query>
        <file:writeFile embedded="false" fileName="${FILE_DIR}/${OUTPUT_FILENAME}">
          <file:line>
            <file:column value="PROJECT_ID,PROJECT_NAME,PROJ_DESCRIPTION,BRANCH_PLAN,PROJECT_TYPE,STRATEGIC_ALIGNMENT,PRIORITY,PROJECT_PHASE,GOVERNANCE_PHASE,CLIENT_DIVISION,CLIENT_BRANCH,BU_UNIT,SPONSOR,PROJECT_MANAGER,START_DATE,FINISH_DATE,NEXT_MAJOR_MILESTONE,NEXT_MAJOR_MILESTONE_DATE,TECHPEP_DATE,BRU_DATE,TSC_DATE,INSERVICE_DATE,RESOURCE_CAPEX_FY,RESOURCE_OPEX_FY,RESOURCE_CAPEX_FY1,RESOURCE_OPEX_FY1,RESOURCE_CAPEX_FY2,RESOURCE_OPEX_FY2,VENDOR_CAPEX_FY,VENDOR_OPEX_FY,VENDOR_CAPEX_FY1,VENDOR_OPEX_FY1,VENDOR_CAPEX_FY2,VENDOR_OPEX_FY2,APPROVED_CAPEX_FY,APPROVED_CAPEX_FY1,APPROVED_CAPEX_FY2,APPROVED_OPEX_FY,APPROVED_OPEX_FY1,APPROVED_OPEX_FY2,ESTIMATED_CAPEX_FY,ESTIMATED_CAPEX_FY1,ESTIMATED_CAPEX_FY2,ESTIMATED_OPEX_FY,ESTIMATED_OPEX_FY1,ESTIMATED_OPEX_FY2,FUNDED_CAPEX_FY,FUNDED_CAPEX_FY1,FUNDED_CAPEX_FY2,FUNDED_OPEX_FY,FUNDED_OPEX_FY1,FUNDED_OPEX_FY2,UNFUNDED_CAPEX_FY,UNFUNDED_CAPEX_FY1,UNFUNDED_CAPEX_FY2,UNFUNDED_OPEX_FY,UNFUNDED_OPEX_FY1,UNFUNDED_OPEX_FY2,TOTAL_RESOURCE_CAPEX,TOTAL_RESOURCE_OPEX,TOTAL_VENDOR_CAPEX,TOTAL_VENDOR_OPEX,TOTAL_APPROVED_CAPEX,TOTAL_APPROVED_OPEX,TOTAL_ESTIMATED_CAPEX,TOTAL_ESTIMATED_OPEX,TOTAL_FUNDED_CAPEX,TOTAL_FUNDED_OPEX,TOTAL_UNFUNDED_CAPEX,TOTAL_UNFUNDED_OPEX,FY_LABOUR_ACTUALS,TOTAL_LABOUR_ACTUALS,TOTAL_LABOUR_ETC,TOTAL_NON_LABOUR_ACTUALS,TOTAL_NON_LABOUR_ETC,FY_APPROVED_BUDGET,TOTAL_APPROVED_BUDGET,TOTAL_EAC,REMAINING_BUDGET,FUNDING_SOURCE,FUNDING_SOURCE_FOR_PROJECT,REQUESTED_FUNDING,PMO_COMMENT,BENEFIT_T5,BENEFIT_SCORE,BENEFIT_QUADRANT,RISK_NOT_PROCEED,CHARGEBACK_CODE,PROJECT_SIZE,RAGRPT_DATE,RAGRPT_OVERALL_COMMENT,RAGRPT_OVERALL_STATUS,RAGRPT_SCHEDULE_COMMENT,RAGRPT_SCHEDULE_STATUS,RAGRPT_SCOPE_COMMENT,RAGRPT_SCOPE_STATUS,RAGRPT_COST_COMMENT,RAGRPT_COST_STATUS,RAGRPT_RESOURCE_COMMENT,RAGRPT_RESOURCE_STATUS,RAGRPT_KEY_ACCOMPLISHMENTS,RAGRPT_UPCOMING_ACTIVITIES"/>
          </file:line>
          <core:forEach indexVar="i" items="${sqlResults.rows}" var="v_row">
            <core:set value="${v_row.PROJECT_ID}" var="v_PROJECT_ID"/>
            <core:set value="${v_row.PROJECT_NAME}" var="v_PROJECT_NAME"/>
            <core:set value="${v_row.PROJ_DESCRIPTION}" var="v_PROJ_DESCRIPTION"/>
			<core:set value="${v_row.BRANCH_PLAN}" var="v_BRANCH_PLAN"/>
			<core:set value="${v_row.PROJECT_TYPE}" var="v_PROJECT_TYPE"/>
			<core:set value="${v_row.STRATEGIC_ALIGNMENT}" var="v_STRATEGIC_ALIGNMENT"/>
			<core:set value="${v_row.PRIORITY}" var="v_PRIORITY"/>
            <core:set value="${v_row.PROJECT_PHASE}" var="v_PROJECT_PHASE"/>
			<core:set value="${v_row.GOVERNANCE_PHASE}" var="v_GOVERNANCE_PHASE"/>
            <core:set value="${v_row.CLIENT_DIVISION}" var="v_CLIENT_DIVISION"/>
			<core:set value="${v_row.CLIENT_BRANCH}" var="v_CLIENT_BRANCH"/>
			<core:set value="${v_row.BU_UNIT}" var="v_BU_UNIT"/>
            <core:set value="${v_row.SPONSOR}" var="v_SPONSOR"/>
            <core:set value="${v_row.PROJECT_MANAGER}" var="v_PROJECT_MANAGER"/>
			<core:set value="${v_row.START_DATE}" var="v_START_DATE"/>
			<core:set value="${v_row.FINISH_DATE}" var="v_FINISH_DATE"/>
			<core:set value="${v_row.NEXT_MAJOR_MILESTONE}" var="v_NEXT_MAJOR_MILESTONE"/>
            <core:set value="${v_row.NEXT_MAJOR_MILESTONE_DATE}" var="v_NEXT_MAJOR_MILESTONE_DATE"/>
			<core:set value="${v_row.TECHPEP_DATE}" var="v_TECHPEP_DATE"/>
			<core:set value="${v_row.BRU_DATE}" var="v_BRU_DATE"/>
			<core:set value="${v_row.TSC_DATE}" var="v_TSC_DATE"/>
			<core:set value="${v_row.INSERVICE_DATE}" var="v_INSERVICE_DATE"/>
			<core:set value="${v_row.RESOURCE_CAPEX_FY}" var="v_RESOURCE_CAPEX_FY"/>
			<core:set value="${v_row.RESOURCE_OPEX_FY}" var="v_RESOURCE_OPEX_FY"/>
			<core:set value="${v_row.RESOURCE_CAPEX_FY1}" var="v_RESOURCE_CAPEX_FY1"/>
			<core:set value="${v_row.RESOURCE_OPEX_FY1}" var="v_RESOURCE_OPEX_FY1"/>	
			<core:set value="${v_row.RESOURCE_CAPEX_FY2}" var="v_RESOURCE_CAPEX_FY2"/>
			<core:set value="${v_row.RESOURCE_OPEX_FY2}" var="v_RESOURCE_OPEX_FY2"/>	
			<core:set value="${v_row.VENDOR_CAPEX_FY}" var="v_VENDOR_CAPEX_FY"/>
			<core:set value="${v_row.VENDOR_OPEX_FY}" var="v_VENDOR_OPEX_FY"/>
			<core:set value="${v_row.VENDOR_CAPEX_FY1}" var="v_VENDOR_CAPEX_FY1"/>
			<core:set value="${v_row.VENDOR_OPEX_FY1}" var="v_VENDOR_OPEX_FY1"/>	
			<core:set value="${v_row.VENDOR_CAPEX_FY2}" var="v_VENDOR_CAPEX_FY2"/>
			<core:set value="${v_row.VENDOR_OPEX_FY2}" var="v_VENDOR_OPEX_FY2"/>
			<core:set value="${v_row.APPROVED_CAPEX_FY}" var="v_APPROVED_CAPEX_FY"/>	
			<core:set value="${v_row.APPROVED_CAPEX_FY1}" var="v_APPROVED_CAPEX_FY1"/>
			<core:set value="${v_row.APPROVED_CAPEX_FY2}" var="v_APPROVED_CAPEX_FY2"/>
			<core:set value="${v_row.APPROVED_OPEX_FY}" var="v_APPROVED_OPEX_FY"/>	
			<core:set value="${v_row.APPROVED_OPEX_FY1}" var="v_APPROVED_OPEX_FY1"/>
			<core:set value="${v_row.APPROVED_OPEX_FY2}" var="v_APPROVED_OPEX_FY2"/>
			<core:set value="${v_row.ESTIMATED_CAPEX_FY}" var="v_ESTIMATED_CAPEX_FY"/>	
			<core:set value="${v_row.ESTIMATED_CAPEX_FY1}" var="v_ESTIMATED_CAPEX_FY1"/>
			<core:set value="${v_row.ESTIMATED_CAPEX_FY2}" var="v_ESTIMATED_CAPEX_FY2"/>
			<core:set value="${v_row.ESTIMATED_OPEX_FY}" var="v_ESTIMATED_OPEX_FY"/>	
			<core:set value="${v_row.ESTIMATED_OPEX_FY1}" var="v_ESTIMATED_OPEX_FY1"/>
			<core:set value="${v_row.ESTIMATED_OPEX_FY2}" var="v_ESTIMATED_OPEX_FY2"/>
			<core:set value="${v_row.FUNDED_CAPEX_FY}" var="v_FUNDED_CAPEX_FY"/>	
			<core:set value="${v_row.FUNDED_CAPEX_FY1}" var="v_FUNDED_CAPEX_FY1"/>
			<core:set value="${v_row.FUNDED_CAPEX_FY2}" var="v_FUNDED_CAPEX_FY2"/>
			<core:set value="${v_row.FUNDED_OPEX_FY}" var="v_FUNDED_OPEX_FY"/>	
			<core:set value="${v_row.FUNDED_OPEX_FY1}" var="v_FUNDED_OPEX_FY1"/>
			<core:set value="${v_row.FUNDED_OPEX_FY2}" var="v_FUNDED_OPEX_FY2"/>
			<core:set value="${v_row.UNFUNDED_CAPEX_FY}" var="v_UNFUNDED_CAPEX_FY"/>	
			<core:set value="${v_row.UNFUNDED_CAPEX_FY1}" var="v_UNFUNDED_CAPEX_FY1"/>
			<core:set value="${v_row.UNFUNDED_CAPEX_FY2}" var="v_UNFUNDED_CAPEX_FY2"/>
			<core:set value="${v_row.UNFUNDED_OPEX_FY}" var="v_UNFUNDED_OPEX_FY"/>	
			<core:set value="${v_row.UNFUNDED_OPEX_FY1}" var="v_UNFUNDED_OPEX_FY1"/>
			<core:set value="${v_row.UNFUNDED_OPEX_FY2}" var="v_UNFUNDED_OPEX_FY2"/>
			<core:set value="${v_row.TOTAL_RESOURCE_CAPEX}" var="v_TOTAL_RESOURCE_CAPEX"/>
			<core:set value="${v_row.TOTAL_RESOURCE_OPEX}" var="v_TOTAL_RESOURCE_OPEX"/>
			<core:set value="${v_row.TOTAL_VENDOR_CAPEX}" var="v_TOTAL_VENDOR_CAPEX"/>
			<core:set value="${v_row.TOTAL_VENDOR_OPEX}" var="v_TOTAL_VENDOR_OPEX"/>
			<core:set value="${v_row.TOTAL_APPROVED_CAPEX}" var="v_TOTAL_APPROVED_CAPEX"/>
			<core:set value="${v_row.TOTAL_APPROVED_OPEX}" var="v_TOTAL_APPROVED_OPEX"/>
			<core:set value="${v_row.TOTAL_ESTIMATED_CAPEX}" var="v_TOTAL_ESTIMATED_CAPEX"/>
			<core:set value="${v_row.TOTAL_ESTIMATED_OPEX}" var="v_TOTAL_ESTIMATED_OPEX"/>
			<core:set value="${v_row.TOTAL_FUNDED_CAPEX}" var="v_TOTAL_FUNDED_CAPEX"/>
			<core:set value="${v_row.TOTAL_FUNDED_OPEX}" var="v_TOTAL_FUNDED_OPEX"/>
			<core:set value="${v_row.TOTAL_UNFUNDED_CAPEX}" var="v_TOTAL_UNFUNDED_CAPEX"/>
			<core:set value="${v_row.TOTAL_UNFUNDED_OPEX}" var="v_TOTAL_UNFUNDED_OPEX"/>
			<core:set value="${v_row.FY_LABOUR_ACTUALS}" var="v_FY_LABOUR_ACTUALS"/>
            <core:set value="${v_row.TOTAL_LABOUR_ACTUALS}" var="v_TOTAL_LABOUR_ACTUALS"/>
            <core:set value="${v_row.TOTAL_LABOUR_ETC}" var="v_TOTAL_LABOUR_ETC"/>
            <core:set value="${v_row.TOTAL_NON_LABOUR_ACTUALS}" var="v_TOTAL_NON_LABOUR_ACTUALS"/>
            <core:set value="${v_row.TOTAL_NON_LABOUR_ETC}" var="v_TOTAL_NON_LABOUR_ETC"/>
			<core:set value="${v_row.FY_APPROVED_BUDGET}" var="v_FY_APPROVED_BUDGET"/>
			<core:set value="${v_row.TOTAL_APPROVED_BUDGET}" var="v_TOTAL_APPROVED_BUDGET"/>
            <core:set value="${v_row.TOTAL_EAC}" var="v_TOTAL_EAC"/>
			<core:set value="${v_row.REMAINING_BUDGET}" var="v_REMAINING_BUDGET"/>
			<core:set value="${v_row.FUNDING_SOURCE}" var="v_FUNDING_SOURCE"/>
			<core:set value="${v_row.FUNDING_SOURCE_FOR_PROJECT}" var="v_FUNDING_SOURCE_FOR_PROJECT"/>
			<core:set value="${v_row.REQUESTED_FUNDING}" var="v_REQUESTED_FUNDING"/>
			<core:set value="${v_row.PMO_COMMENT}" var="v_PMO_COMMENT"/>
			<core:set value="${v_row.BENEFIT_T5}" var="v_BENEFIT_T5"/>
			<core:set value="${v_row.BENEFIT_SCORE}" var="v_BENEFIT_SCORE"/>
			<core:set value="${v_row.BENEFIT_QUADRANT}" var="v_BENEFIT_QUADRANT"/>
			<core:set value="${v_row.RISK_NOT_PROCEED}" var="v_RISK_NOT_PROCEED"/>
            <core:set value="${v_row.CHARGEBACK_CODE}" var="v_CHARGEBACK_CODE"/>
            <core:set value="${v_row.PROJECT_SIZE}" var="v_PROJECT_SIZE"/>
			<core:set value="${v_row.RAGRPT_DATE}" var="v_RAGRPT_DATE"/>
			<core:set value="${v_row.RAGRPT_OVERALL_COMMENT}" var="v_RAGRPT_OVERALL_COMMENT"/>
			<core:set value="${v_row.RAGRPT_OVERALL_STATUS}" var="v_RAGRPT_OVERALL_STATUS"/>
			<core:set value="${v_row.RAGRPT_SCHEDULE_COMMENT}" var="v_RAGRPT_SCHEDULE_COMMENT"/>
			<core:set value="${v_row.RAGRPT_SCHEDULE_STATUS}" var="v_RAGRPT_SCHEDULE_STATUS"/>
			<core:set value="${v_row.RAGRPT_SCOPE_COMMENT}" var="v_RAGRPT_SCOPE_COMMENT"/>
			<core:set value="${v_row.RAGRPT_SCOPE_STATUS}" var="v_RAGRPT_SCOPE_STATUS"/>
			<core:set value="${v_row.RAGRPT_COST_COMMENT}" var="v_RAGRPT_COST_COMMENT"/>
			<core:set value="${v_row.RAGRPT_COST_STATUS}" var="v_RAGRPT_COST_STATUS"/>
			<core:set value="${v_row.RAGRPT_RESOURCE_COMMENT}" var="v_RAGRPT_RESOURCE_COMMENT"/>
			<core:set value="${v_row.RAGRPT_RESOURCE_STATUS}" var="v_RAGRPT_RESOURCE_STATUS"/>
			<core:set value="${v_row.RAGRPT_KEY_ACCOMPLISHMENTS}" var="v_RAGRPT_KEY_ACCOMPLISHMENTS"/>
			<core:set value="${v_row.RAGRPT_UPCOMING_ACTIVITIES}" var="v_RAGRPT_UPCOMING_ACTIVITIES"/>

            <file:line>
              <file:column value="${v_PROJECT_ID}"/>
              <file:column value="${v_PROJECT_NAME}"/>
              <file:column value="${v_PROJ_DESCRIPTION}"/>
			  <file:column value="${v_BRANCH_PLAN}"/>
			  <file:column value="${v_PROJECT_TYPE}"/>
			  <file:column value="${v_STRATEGIC_ALIGNMENT}"/>
			  <file:column value="${v_PRIORITY}"/>
              <file:column value="${v_PROJECT_PHASE}"/>
			  <file:column value="${v_GOVERNANCE_PHASE}"/>
              <file:column value="${v_CLIENT_DIVISION}"/>
			  <file:column value="${v_CLIENT_BRANCH}"/>
              <file:column value="${v_BU_UNIT}"/>
              <file:column value="${v_SPONSOR}"/>
              <file:column value="${v_PROJECT_MANAGER}"/>
			  <file:column value="${v_START_DATE}"/>
			  <file:column value="${v_FINISH_DATE}"/>
			  <file:column value="${v_NEXT_MAJOR_MILESTONE}"/>
              <file:column value="${v_NEXT_MAJOR_MILESTONE_DATE}"/>
			  <file:column value="${v_TECHPEP_DATE}"/>
			  <file:column value="${v_BRU_DATE}"/>
			  <file:column value="${v_TSC_DATE}"/>
			  <file:column value="${v_INSERVICE_DATE}"/>
			  <file:column value="${v_RESOURCE_CAPEX_FY}"/>
			  <file:column value="${v_RESOURCE_OPEX_FY}"/>
			  <file:column value="${v_RESOURCE_CAPEX_FY1}"/>
			  <file:column value="${v_RESOURCE_OPEX_FY1}"/>
			  <file:column value="${v_RESOURCE_CAPEX_FY2}"/>
			  <file:column value="${v_RESOURCE_OPEX_FY2}"/>
			  <file:column value="${v_VENDOR_CAPEX_FY}"/>
			  <file:column value="${v_VENDOR_OPEX_FY}"/>
			  <file:column value="${v_VENDOR_CAPEX_FY1}"/>
			  <file:column value="${v_VENDOR_OPEX_FY1}"/>
			  <file:column value="${v_VENDOR_CAPEX_FY2}"/>
			  <file:column value="${v_VENDOR_OPEX_FY2}"/>
			  <file:column value="${v_APPROVED_CAPEX_FY}"/>
			  <file:column value="${v_APPROVED_CAPEX_FY1}"/>
			  <file:column value="${v_APPROVED_CAPEX_FY2}"/>
			  <file:column value="${v_APPROVED_OPEX_FY}"/>
			  <file:column value="${v_APPROVED_OPEX_FY1}"/>
			  <file:column value="${v_APPROVED_OPEX_FY2}"/>
			  <file:column value="${v_ESTIMATED_CAPEX_FY}"/>
			  <file:column value="${v_ESTIMATED_CAPEX_FY1}"/>
			  <file:column value="${v_ESTIMATED_CAPEX_FY2}"/>
			  <file:column value="${v_ESTIMATED_OPEX_FY}"/>
			  <file:column value="${v_ESTIMATED_OPEX_FY1}"/>
			  <file:column value="${v_ESTIMATED_OPEX_FY2}"/>
			  <file:column value="${v_FUNDED_CAPEX_FY}"/>
			  <file:column value="${v_FUNDED_CAPEX_FY1}"/>
			  <file:column value="${v_FUNDED_CAPEX_FY2}"/>
			  <file:column value="${v_FUNDED_OPEX_FY}"/>
			  <file:column value="${v_FUNDED_OPEX_FY1}"/>
			  <file:column value="${v_FUNDED_OPEX_FY2}"/>
			  <file:column value="${v_UNFUNDED_CAPEX_FY}"/>
			  <file:column value="${v_UNFUNDED_CAPEX_FY1}"/>
			  <file:column value="${v_UNFUNDED_CAPEX_FY2}"/>
			  <file:column value="${v_UNFUNDED_OPEX_FY}"/>
			  <file:column value="${v_UNFUNDED_OPEX_FY1}"/>
			  <file:column value="${v_UNFUNDED_OPEX_FY2}"/>
			  <file:column value="${v_TOTAL_RESOURCE_CAPEX}"/>
			  <file:column value="${v_TOTAL_RESOURCE_OPEX}"/>
			  <file:column value="${v_TOTAL_VENDOR_CAPEX}"/>
			  <file:column value="${v_TOTAL_VENDOR_OPEX}"/>
			  <file:column value="${v_TOTAL_APPROVED_CAPEX}"/>
			  <file:column value="${v_TOTAL_APPROVED_OPEX}"/>
			  <file:column value="${v_TOTAL_ESTIMATED_CAPEX}"/>
			  <file:column value="${v_TOTAL_ESTIMATED_OPEX}"/>
			  <file:column value="${v_TOTAL_FUNDED_CAPEX}"/>
			  <file:column value="${v_TOTAL_FUNDED_OPEX}"/>
			  <file:column value="${v_TOTAL_UNFUNDED_CAPEX}"/>
			  <file:column value="${v_TOTAL_UNFUNDED_OPEX}"/>
			  <file:column value="${v_FY_LABOUR_ACTUALS}"/>
              <file:column value="${v_TOTAL_LABOUR_ACTUALS}"/>
              <file:column value="${v_TOTAL_LABOUR_ETC}"/>
              <file:column value="${v_TOTAL_NON_LABOUR_ACTUALS}"/>
              <file:column value="${v_TOTAL_NON_LABOUR_ETC}"/>
			  <file:column value="${v_FY_APPROVED_BUDGET}"/>
			  <file:column value="${v_TOTAL_APPROVED_BUDGET}"/>
              <file:column value="${v_TOTAL_EAC}"/>
			  <file:column value="${v_REMAINING_BUDGET}"/>
			  <file:column value="${v_FUNDING_SOURCE}"/>
			  <file:column value="${v_FUNDING_SOURCE_FOR_PROJECT}"/>
			  <file:column value="${v_REQUESTED_FUNDING}"/>
			  <file:column value="${v_PMO_COMMENT}"/>
			  <file:column value="${v_BENEFIT_T5}"/>
			  <file:column value="${v_BENEFIT_SCORE}"/>
			  <file:column value="${v_BENEFIT_QUADRANT}"/>
			  <file:column value="${v_RISK_NOT_PROCEED}"/>
              <file:column value="${v_CHARGEBACK_CODE}"/>
              <file:column value="${v_PROJECT_SIZE}"/>
			  <file:column value="${v_RAGRPT_DATE}"/>
			  <file:column value="${v_RAGRPT_OVERALL_COMMENT}"/>
			  <file:column value="${v_RAGRPT_OVERALL_STATUS}"/>
			  <file:column value="${v_RAGRPT_SCHEDULE_COMMENT}"/>
			  <file:column value="${v_RAGRPT_SCHEDULE_STATUS}"/>
			  <file:column value="${v_RAGRPT_SCOPE_COMMENT}"/>
			  <file:column value="${v_RAGRPT_SCOPE_STATUS}"/>
			  <file:column value="${v_RAGRPT_COST_COMMENT}"/>
			  <file:column value="${v_RAGRPT_COST_STATUS}"/>
			  <file:column value="${v_RAGRPT_RESOURCE_COMMENT}"/>
			  <file:column value="${v_RAGRPT_RESOURCE_STATUS}"/>
			  <file:column value="${v_RAGRPT_KEY_ACCOMPLISHMENTS}"/>
			  <file:column value="${v_RAGRPT_UPCOMING_ACTIVITIES}"/>
            </file:line>
          </core:forEach>
          <!-- Close the output file-->
        </file:writeFile>
      </core:catch>
      <core:if test="${ex!=null}">
        <gel:log category="SQL" level="ERROR">Unable to populate output filename: ${ex}</gel:log>
        <core:set value="true" var="errorFlag"/>
      </core:if>
    </core:if>
    <core:if test="${errorFlag eq false}">
      <core:catch var="ex">
        <sql:query var="sqlResults">
					SELECT  DISTINCT
                            TRIM(SRM_RESOURCES.EMAIL) RECV_EMAIL
                    FROM
                            SRM_RESOURCES
                    WHERE   SRM_RESOURCES.FULL_NAME IN (  ' '
)
                </sql:query>
        <core:set trim="true" value="" var="v_Email_To"/>
        <core:forEach items="${sqlResults.rows}" var="v_row">
          <core:set trim="true" value="${v_Email_To};${v_row.RECV_EMAIL}" var="v_Email_To"/>
        </core:forEach>
      </core:catch>
      <core:if test="${ex!=null}">
        <gel:log category="SQL" level="ERROR">Unable to populate v_Email_To field: ${ex}</gel:log>
        <core:set value="true" var="errorFlag"/>
      </core:if>
    </core:if>
    <gel:log category="SQL" level="INFO">v_Email From: ${v_Email_From} </gel:log>
    <gel:log category="SQL" level="INFO">v_Email To: ${v_Email_To} </gel:log>
    <gel:log category="SQL" level="INFO">Email Subject: ${v_Email_Subject} </gel:log>
    <gel:log category="SQL" level="INFO">OUTPUT_FILENAME: ${FILE_DIR}\${OUTPUT_FILENAME} </gel:log>
    <gel:log category="SQL" level="INFO">Ready to send the email.. </gel:log>
    <gel:formatDate format="EEE', 'd MMM yyyy h':'mm a" stringVar="v_SYSDATE"/>
    <core:set value="${FILE_DIR}/${OUTPUT_FILENAME}" var="v_attachment"/>
    <email:email attach="${v_attachment}" encodeXML="false" from="${v_Email_From}" server="au1smtpgw.ondemand.ca.com"
      subject="${v_Email_Subject} as at ${v_SYSDATE}" to="${v_Email_To}">


        </email:email>
  </core:if>
</gel:script>